<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'contact_section',
	array(
		'title'         => __( 'Contact Form Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'contact_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'contact_area_disable',
		array(
			'settings'      => 'contact_area_disable',
			'section'       => 'contact_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'contactsec', 'contact_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'counterSectionPadding', 'contact_section', 'Section Padding');

$wp_customize->add_setting(
    'contactsection_toppadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'contactsection_toppadding',
    array(
        'settings'      => 'contactsection_toppadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'contactsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'contactsection_bottompadding',
    array(
        'settings'      => 'contactsection_bottompadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'abt_imgtpcirclr', 'contact_section', 'Section Image Top Circle Color', '#fd8455');
addColorPalatOption($wp_customize, 'abt_imgbcirclr', 'contact_section', 'Section Image Middle Circle Color', '#e7f0fd');
addColorPalatOption($wp_customize, 'abt_imgbtcirclr', 'contact_section', 'Section Image Bottom Circle Color', '#fd8455');
//section Image

$wp_customize->add_setting(
        'appo_image5_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'appo_image5_heading',
        array(
            'settings'      => 'appo_image5_heading',
            'section'       => 'contact_section',
            'label'         => __( 'Section Left Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'appo_image5',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'appo_image5',
        array(
            'section' => 'contact_section',
            'settings' => 'appo_image5',
            'description' => __('Recommended Image Size: 600X725px', 'luzuk-premium')
        )
    )
);


$wp_customize->add_setting(
    'appointment_page_maintitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'appointment_page_maintitle_heading',
        array(
            'settings'      => 'appointment_page_maintitle_heading',
            'section'       => 'contact_section',
            'label'         => __( 'Section Title , Text', 'luzuk' ),
        )
    )
);    

$wp_customize->add_setting(
    'contact_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Request a Call Back', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_page_maintitle',
    array(
        'settings'      => 'contact_page_maintitle',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Title For Section', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contactsarea_title_color', 'contact_section', 'Section Title Color', '#14234b');

$wp_customize->add_setting(
    'contact_page_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum Donor Set Amet Conseqtuar', 'luzuk' )
    )
);
$wp_customize->add_control(
    'contact_page_text',
    array(
        'settings'      => 'contact_page_text',
        'section'       => 'contact_section',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contactsarea_text_color', 'contact_section', 'Section Text Color', '#424242');


// ===========Form Section ==========//


lzCustomLable($wp_customize, 'contactf', 'contact_section', 'Form Section');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'contact_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

addColorPalatOption($wp_customize, 'inqu_frminputbrdClr', 'contact_section', 'Form Left Border Color', '#fcf3f1');

//form input text / placeholder color
addColorPalatOption($wp_customize, 'inquiry_forminputtextColor', 'contact_section', 'Form Input Text / Placeholder Color', '#a1a1a1');

//form label color
addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'contact_section', 'Form Label Color', '#a1a1a1');

//form text color
addColorPalatOption($wp_customize, 'inquiry_formtextColor', 'contact_section', 'Form Text Color', '#a1a1a1');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'contact_section', 'Form Button Text Color', '#f0f0f0');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontexthvClr', 'contact_section', 'Form Button Text Hover Color', '#fff');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'contact_section', 'Form Button Background Color', '#fd8455');

//form button background color
addColorPalatOption($wp_customize, 'inq_frmbutnbghvClr', 'contact_section', 'Form Button Background Hover Color', '#2e3d62');
